Skip to main content
POST
Create GTM strategy
CLI:

Overview

Create GTM strategy This page documents post /api/strategies. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.

AI agent notes

  • Confirm the operation matches the user’s intent before calling it.
  • For write operations, confirm the user intends to change state.
  • Surface validation, permission, and not-found errors instead of retrying unchanged.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required
Required string length: 1 - 180
intent
string
required
Minimum string length: 1
sourcePlan
object
required
description
string
Maximum string length: 500
details
object

Response

Created or reused Strategy with its first Run.

strategy
object
required
run
object
required
dispatch
enum<string>
required
Available options:
recorded,
accepted_unrecorded,
existing
strategyDisposition
enum<string>
required
Available options:
created,
reused
runDisposition
enum<string>
required
Available options:
queued,
existing